#!/usr/bin/env python
"""Django's command-line utility for administrative tasks."""

import os
import platform
import sys

from aiservice.analytics.posthog import ph
from aiservice.env_specific import load_env, set_logging_level


def main() -> None:
    """Run administrative tasks."""
    os.environ.setdefault("DJANGO_SETTINGS_MODULE", "aiservice.settings")
    # Get the network name of the machine
    machine_id = platform.node()
    try:
        from django.core.management import execute_from_command_line
    except ImportError as exc:
        raise ImportError(
            "Couldn't import Django. Are you sure it's installed and "
            "available on your PYTHONPATH environment variable? Did you "
            "forget to activate a virtual environment?"
        ) from exc

    load_env()
    set_logging_level()
    ph(machine_id, "aiservice-startup")
    execute_from_command_line(sys.argv)


if __name__ == "__main__":
    main()
